﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;

namespace XamDataTreeEx
{
    /// <summary>
    /// Interaction logic for GenericDialog.xaml
    /// </summary>
    public partial class GenericDialog : Window
    {
        public GenericDialog(ViewModelBase _vm)
        {
             vm = _vm;

            if (Application.Current.MainWindow.IsLoaded)
            {
                this.Owner = Application.Current.MainWindow;
            }

            InitializeComponent();
            this.DataContext = vm;
        }

        /// <summary>
        /// Instance of the view model base
        /// </summary>
        ViewModelBase vm;
    }
}
